# $Id: rules.mak,v 1.17 2004/07/08 06:19:17 hawkeye Exp $
########################################################################
#  TinyFugue - programmable mud client
#  Copyright (C) 1998, 1999, 2002 Ken Keys
#
#  TinyFugue (aka "tf") is protected under the terms of the GNU
#  General Public License.  See the file "COPYING" for details.
#
#  DO NOT EDIT THIS FILE.
#  For instructions on changing configuration, see the README file in the
#  directory for your operating system.
########################################################################

### rules.mak - Makefile rules common to all systems.
# This file should be portable to all systems, so it can be included in or
# concatenated with all system-specific makefiles.

# Predefined variables:
#   SYS          - required system type (unix, os2)
#   O            - required object suffix (e.g., "o" or "obj")
#   BUILDERS     - optional list of system-specific dependancies

command.o: command.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h cmdlist.h command.h world.h socket.h output.h \
 macro.h keyboard.h expand.h signals.h variable.h $(BUILDERS)
dmalloc.o: dmalloc.c $(BUILDERS)
dstring.o: dstring.c config.h port.h malloc.h tf.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h signals.h $(BUILDERS)
expand.o: expand.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h macro.h signals.h socket.h keyboard.h parse.h \
 opcodes.h expand.h expr.h cmdlist.h command.h variable.h $(BUILDERS)
expr.o: expr.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h macro.h signals.h socket.h output.h keyboard.h \
 parse.h opcodes.h expand.h expr.h cmdlist.h command.h variable.h \
 tty.h history.h world.h funclist.h $(BUILDERS)
help.o: help.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h search.h tfio.h cmdlist.h \
 variable.h $(BUILDERS)
history.o: history.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h history.h socket.h world.h output.h macro.h \
 cmdlist.h keyboard.h variable.h signals.h $(BUILDERS)
keyboard.o: keyboard.c config.h port.h tf.h malloc.h \
 dstring.h globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h macro.h keyboard.h output.h \
 history.h expand.h cmdlist.h tty.h keylist.h $(BUILDERS)
macro.o: macro.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h world.h macro.h keyboard.h expand.h socket.h output.h \
 cmdlist.h command.h parse.h opcodes.h $(BUILDERS)
main.o: main.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h history.h world.h socket.h macro.h output.h signals.h \
 command.h keyboard.h variable.h tty.h expand.h expr.h process.h $(BUILDERS)
makehelp.o: makehelp.c $(BUILDERS)
malloc.o: malloc.c config.h port.h signals.h malloc.h $(BUILDERS)
output.o: output.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h socket.h output.h macro.h tty.h variable.h expand.h \
 parse.h opcodes.h keyboard.h $(BUILDERS)
process.o: process.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h history.h world.h process.h socket.h expand.h \
 cmdlist.h output.h signals.h $(BUILDERS)
search.o: search.c config.h port.h malloc.h search.h $(BUILDERS)
signals.o: signals.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h world.h process.h tty.h output.h signals.h variable.h $(BUILDERS)
socket.o: socket.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h tfselect.h history.h world.h socket.h output.h \
 process.h macro.h keyboard.h cmdlist.h command.h signals.h \
 variable.h $(BUILDERS)
tfio.o: tfio.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h tfselect.h output.h macro.h history.h signals.h \
 variable.h keyboard.h expand.h cmdlist.h $(BUILDERS)
time.o: time.c $(BUILDERS)
tty.o: tty.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tty.h output.h macro.h variable.h $(BUILDERS)
util.o: util.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h output.h tty.h signals.h variable.h $(BUILDERS)
variable.o: variable.c config.h port.h tf.h malloc.h \
 dstring.h globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h output.h socket.h cmdlist.h \
 process.h expand.h parse.h opcodes.h variable.h $(BUILDERS)
world.o: world.c config.h port.h tf.h malloc.h dstring.h \
 globals.h varlist.h enumlist.h hooklist.h util.h \
 search.h tfio.h history.h world.h process.h macro.h cmdlist.h \
 socket.h output.h $(BUILDERS)
